<p>login works!</p>
<header *ngIf="user">
  <p>
    {{user.names}} logeado correctamente
  </p>
</header>
<header *ngIf="error !== ''">
  <p>
    {{error}}
  </p>
</header>
<section>
  <div>
    <label for="email">Correo:</label>
    <input #email type="email" name="email" required>
  </div>
  <div>
    <label for="password">Contraseña:</label>
    <input #password type="password" name="password" required>
  </div>
  <div>
    <button (click)="login(email.value, password.value)">
      Ingresar
    </button>
  </div>
</section>